GNU bug report logs - #3860
vc-svn calls "svn resolved" without permission

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: James Y Knight <jknight@HIDDEN>; dated Wed, 15 Jul 2009 20:30:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 15 Jul 2009 20:26:04 +0000
From jknight@HIDDEN Wed Jul 15 13:26:04 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n6FKPv7L029953
	for <submit@HIDDEN>; Wed, 15 Jul 2009 13:25:58 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1MRB33-0008EA-Ir
	for bug-gnu-emacs@HIDDEN; Wed, 15 Jul 2009 16:25:53 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1MRB2y-0008Be-Oq
	for bug-gnu-emacs@HIDDEN; Wed, 15 Jul 2009 16:25:52 -0400
Received: from [199.232.76.173] (port=58279 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1MRB2y-0008Bb-KB
	for bug-gnu-emacs@HIDDEN; Wed, 15 Jul 2009 16:25:48 -0400
Received: from 207-172-212-176.c3-0.smr-ubr2.sbo-smr.ma.static.cable.rcn.com ([207.172.212.176]:42252 helo=torpor.static.net)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <jknight@HIDDEN>)
	id 1MRB2v-00039V-Ay; Wed, 15 Jul 2009 16:25:45 -0400
Received: from ita4fw1.itasoftware.com ([63.107.91.99] helo=dc4-9dhcp19047.internal.itasoftware.com)
	by torpor.static.net with esmtpsa (TLS-1.0:RSA_AES_128_CBC_SHA1:16)
	(Exim 4.63)
	(envelope-from <jknight@HIDDEN>)
	id 1MRANf-00049G-S6; Wed, 15 Jul 2009 15:43:09 -0400
Message-Id: <DF0D6AAB-D0C4-4846-AF6B-1AC9586F8A95@HIDDEN>
From: James Y Knight <jknight@HIDDEN>
To: spiegel@HIDDEN, bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v935.3)
Subject: vc-svn calls "svn resolved" without permission
Date: Wed, 15 Jul 2009 15:43:06 -0400
X-Mailer: Apple Mail (2.935.3)
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.
X-Greylist: delayed 2554 seconds by postgrey-1.27 at monty-python; Wed, 15 Jul 2009 16:25:44 EDT
X-Greylist: delayed 2555 seconds by postgrey-1.27 at monty-python; Wed, 15 Jul 2009 16:25:45 EDT

Hi, I recently just switched to from Emacs 21 to Emacs 22 (22.2.1, on  
Debian Lenny), and was a bit disappointed to discover that vc-svn is  
now automatically calling "svn resolved" on files when I save them  
after removing conflict markers.

I use svn's list of conflicted files while working on merges, and tend  
to only call "resolved" on them when I'm *actually done* fixing a  
group of files. I'll note that emacs automatically calling "svn  
resolved" also destroys the .mine, .rOLD, and .rNEW files, which I  
wasn't actually done with yet. Having them disappear out from under me  
just because I've *partly* fixed things and saved is very  
counterintuitive!

There's a reason that svn makes you run "svn resolved" on files to  
note them as resolved instead of just checking for the lack of  
conflict markers, and vc-svn is totally destroying that nice behavior  
of svn. If it was a good idea to autoresolve when there's no conflict  
marker in the file, then "svn commit" would already do that!

IMO, the function "vc-svn-resolve-when-done" should just be removed  
entirely. But if not, it really should *at least* be asking for  
confirmation first before causing the merge working data to be deleted.

Relatedly, it would also be great if there was a key to run svn  
resolved. I've had this addition in my .emacs for a while to achieve  
that:

(defun svn-resolved ()
   "Resolve conflict on current buffer"
   (interactive)
   (shell-command (concat "svn resolved " (buffer-file-name))))
(define-key 'vc-prefix-map "R" 'svn-resolved)

James




Acknowledgement sent to James Y Knight <jknight@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3860; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.